GET Get single rail by key
GET /viewers/rails/{key}: Get single rail by key. Returns a specific rail with its viewers by rail key. Available keys: featured, newest, trending, likes.
Are you an LLM? You can read better optimized documentation at /docs/api/endpoints/viewers/get-viewers-rails-key.md for this page in Markdown format
GET
Try it out https://api.rooom.com/viewers/rails/{key}Parameters
Path Parameters
| Name | Type | Description | Values |
|---|---|---|---|
keyrequiredExample: featured | string | Unique key of the rail to retrieve | featurednewesttrendinglikes |
Query Parameters
| Name | Type | Description |
|---|---|---|
q | string | Search phrase (min. 2 characters). Returns all matching public viewers as a single 'search' rail, ignoring the rail key. |
pageExample: 1 | integer | Pagination page number (optional, only when search query is set) |
lengthExample: 10 | integer | Pagination page length (optional, only when search query is set) |
Responses
200Successfully retrieved rail
500Internal server error
GET /viewers/rails/{key} Get single rail by key Returns a specific rail with its viewers by rail key. Available keys: featured, newest, trending, likes. key Unique key of the rail to retrieve q Search phrase (min. 2 characters). Returns all matching public viewers as a single 'search' rail, ignoring the rail key. page Pagination page number (optional, only when search query is set) length Pagination page length (optional, only when search query is set)